#include <stdio.h>
#include <stdlib.h>
//#include "dir_path.h"

int main(int argc, char *argv[])
{
	if(argc != 2)
	{
		fputs("err! no input!\n\n", stderr);
		exit(1);
	}

	unsigned long num;
	int idx;
	int location;

	char *buffer;
	char fnm[50];
	FILE *fp = NULL;

	num = atol(argv[1]);

	idx = num/100000000;	//파일번호구하기
	location = num%100000000;//파일내부위치 구하기
	
	if( location == 0 )	//Alias 번호가 1억의 배수 일 때, 앞 파일 번호의 가장 마지막 위치
	{
		idx--;
		location = 100000000; 	
	}

	//sprintf(fnm, "%s/%s/PLBASE/PLMST%.03d", DIR_TCS, DIR_BASEINFO, idx);
	sprintf(fnm, "/home2/app_data/tcs/BASEINFO/PLBASE/PLMST%.03d", idx);
	printf("%s 파일 오픈..\n", fnm);

	fp = fopen(fnm, "r+");
	if(fp == NULL)
	{
		printf("File error!\n");
		return 0;
	}


	fseek(fp, location-1, SEEK_SET);
	buffer = (char *)malloc(sizeof(char));
	fread(buffer, sizeof(char), 1, fp);

	printf("파일명 : %s\n", fnm);
	printf("위치값 : %d\n", location);
	printf("결과 : %c\n", *buffer);

	if(*buffer == '1') printf("사용가능 Alias\n\n");
	else printf("사용불가 Alias\n\n");




	fclose(fp);

	return 0;
}
